diff --git a/CHANGELOG.ja.rdoc b/CHANGELOG.ja.rdoc
index 79d758d982..892b95f6cd 100644
--- a/CHANGELOG.ja.rdoc
+++ b/CHANGELOG.ja.rdoc
@@ -13,7 +13,6 @@
   * (JRuby) Adding an EntityReference after a Text node mangles the entity in JRuby. #835
   * (JRuby) JRuby version inconsistency: nil for empty attributes. #818
   * CSS queries for classes (e.g., ".foo") now treat all whitespace identically. #854
-  * (MRI) Fixed a memory leak in fragment parsing if nodes are not all subsequently reparented. #856
   * Namespace behavior cleaned up and made consistent between JRuby and MRI. #846, #801 (Thanks, Michael Klein!)
   * (MRI) SAX parser handles empty processing instructions. #845
 
diff --git a/CHANGELOG.rdoc b/CHANGELOG.rdoc
index f6c12d6059..1996a496f2 100644
--- a/CHANGELOG.rdoc
+++ b/CHANGELOG.rdoc
@@ -13,7 +13,6 @@
   * (JRuby) Adding an EntityReference after a Text node mangles the entity in JRuby. #835
   * (JRuby) JRuby version inconsistency: nil for empty attributes. #818
   * CSS queries for classes (e.g., ".foo") now treat all whitespace identically. #854
-  * (MRI) Fixed a memory leak in fragment parsing if nodes are not all subsequently reparented. #856
   * Namespace behavior cleaned up and made consistent between JRuby and MRI. #846, #801 (Thanks, Michael Klein!)
   * (MRI) SAX parser handles empty processing instructions. #845
 
diff --git a/ext/nokogiri/xml_node.c b/ext/nokogiri/xml_node.c
index f1b9845af1..f880afc007 100644
--- a/ext/nokogiri/xml_node.c
+++ b/ext/nokogiri/xml_node.c
@@ -1356,7 +1356,6 @@ static VALUE in_context(VALUE self, VALUE _str, VALUE _options)
 
     while (list) {
       xmlXPathNodeSetAddUnique(set, list);
-      if (list->parent == NULL) nokogiri_root_node(list); // always the case?
       list = list->next;
     }
 
